#
# See the file "LICENSE" for the full license governing this code.
#
require "#{File.dirname(__FILE__)}/foreign_server_object_property"

newproperty(:remotejndiname, :parent => Puppet::Parameter::WlsProperty) do
  extend ForeignServerObjectProperty

  desc <<-EOD
    The Remote JNDI of the Foreign server object

  EOD

  maps_to('RemoteJNDIName')

end
