#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:adapter, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The JNDI name of the adapter used to communicate with the specified destination.

  EOD

  newvalues('eis.jms.WLSConnectionFactoryJNDINoTX', 'eis.jms.WLSConnectionFactoryJNDIXA')
  defaultto 'eis.jms.WLSConnectionFactoryJNDINoTX'

  maps_to('AdapterJNDIName')

end
