#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:qos, :parent => Puppet::Parameter::WlsProperty) do


  desc <<-EOD
  The QOS (quality of service) for this messaging bridge instance.

  EOD

  newvalues('absent', 'Exactly-once', 'Atmost-once', 'Duplicate-okay')
  defaultto 'Exactly-once'

  maps_to('QualityOfService')

end
