#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_min_size, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  

  desc <<-EOD
  The log file min size of a domain or server.
  EOD

  maps_to([
    'Log/%{server_name}/FileMinSize',
    'WebServer/%{server_name}/WebServerLog/%{server_name}/FileMinSize',
    'DataSource/%{server_name}/DataSourceLogFile/%{server_name}/FileMinSize'
  ])


end