#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:virtual_host_names, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
    virtual host names

  EOD

  maps_to('VirtualHostNames')

  on_apply do
    apply_paths_with_array( value.join(','))
  end

end
