---
layout: documentation
title: Supported versions
keywords: supported versions weblogic OS Puppet
sidebar: wls_config_sidebar
toc: true
---
The `wls_config` module contains support for a broad range of versions and editions. Both in the Puppet eco-system as in the Oracle database world. Check the list below if your combination of products is supported. Contact us if your situation is not on the list. There are a lot more options possible.

## OS-es

- RedHat 5, RedHat 6 and RedHat 7
- CentOS 5, CentOS 6 and CentOS 7
- OracleLinux 4, OracleLinux 5 and OracleLinux 6
- Solaris 10 and Solaris 11

## Puppet versions

- Puppet open source 4.0
- Puppet Enterprise versions 2016.x and higher
- Foreman all versions using Puppet 4.0 or higher
- Puppet 4 compatible

## WebLogic versions:

- WebLogic 10g
- WebLogic 11g
- WebLogic 12.1.2
- WebLogic 12.1.3
- WebLogic 12.2.1.2
- WebLogic 12.2.1.3

## Fusion Middleware versions

- WebLogic 10g
- WebLogic 11g
- WebLogic 12c ( 12.1.1, 12.1.2, 12.1.3, 12.2.1.2 12.2.1.3)

