#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:coherence_cluster_name) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-EOD
  The coherence cluster name.

  To identify a coherence cluster, use:

      wls_coherence_cluster { 'domain_name/TheClusterName':
      ...
      }

  EOD

end
