#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotate_logon_startup, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  log rotate Logon at startup of a domain or server.
  EOD

  maps_to('Log/%{domain_name}/RotateLogOnStartup')
end