#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:publicport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
    The channel public listen port of the server.

  EOD

  validate do |value|
    return if value.to_s == '-1'
    EasyType::Validators::PortNumber.unsafe_validate(value)
  end


  maps_to('PublicPort')

end
